local L = MailNotifier_Locals
local Language = GetLocale()

-- Simplified Chinese --
if Language == 'zhCN' then
	L.LauncherError = '无法载入 MailNotifier Launcher 因为你的 MailNotifier 版本过早,请下载最新的 MailNotifier-%s'
	L.NoMail = '无新邮件'
	L.Mails = ' 封新邮件'
	L.Mail = ' 封新邮件'
	
-- Traditional Chinese --
elseif Language == 'zhTW' then
	L.LauncherError = '無法載入 MailNotifier Launcher 因為你的 MailNotifier 版本過早,請下載最新的 MailNotifier-%s'
	L.NoMail = '無新郵件'
	L.Mails = ' 封新郵件'
	L.Mail = ' 封新郵件'
	
-- Spanish --
elseif Language == 'esES' or Language == 'esMX' then
	L.LauncherError = "No se ha podido cargar MailNotifier Launcher porque tu versión de MailNotifier está sin actualizar. Por favor descargue Mailnotifier-%s"
	L.Mail = "Mensaje"
	L.Mails = "Mensajes"
	L.NoMail = "Sin Mensajes"
	
-- French --
elseif Language == 'frFR' then
	L.LauncherError = "Ne peux pas charger MailNotifier Launcher car votre version de MailNotifier n'est plus a jour. Merci de télécharger MailNotifier-%s" 
	L.NoMail = 'Pas de messages' 
	L.Mails = ' Messages' 
	L.Mail = ' Message' 
	
-- English --
else
	L.LauncherError = "Cannot load MailNotifier Launcher because your MailNotifier's version is outdated. Please download MailNotifier-%s"
	L.NoMail = 'No Mail'
	L.Mails = ' Mails'
	L.Mail = ' Mail'
end
