--[[----------------------------------------------------------------------------
	Copyright 2009 João Liborio Cardoso
	All rights reserved
	
	MailNotifier Launcher is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.
	MailNotifier Launcher is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License (<http://www.gnu.org/licenses/>) for more details.
---------------------------------------------------------------------------]]--

local L = MailNotifier_Locals
local IconDirectory = 'Interface\\Addons\\MailNotifier_Launcher\\Textures\\'
local RequiredVersion = 6

if tonumber(GetAddOnMetadata('MailNotifier', 'Version')) < RequiredVersion then
	return message(format(L.LauncherError, RequiredVersion)) -- is MailNotifier up to date?
end


--[[ Launcher ]]--

local Launcher = LibStub('LibDataBroker-1.1'):NewDataObject('MailNotifier', {
	type = 'data source',
})

function Launcher:OnTooltipShow()
	MinimapMailFrameUpdate()
end

function Launcher:OnMailChanged(value)
	if value > 0 then
		if value > 1 then
			Launcher.suffix = L.Mails
		else
			Launcher.suffix = L.Mail
		end
		
		Launcher.icon = IconDirectory .. 'Enabled'
		Launcher.value = value
	else
		Launcher.text = L.NoMail
		Launcher.icon = IconDirectory .. 'Disabled'
		Launcher.value = nil
	end
end

hooksecurefunc(MailNotifier, 'SetNumMails', Launcher.OnMailChanged)
Launcher:OnMailChanged(0)


--[[ Minimap Button ]]--

MiniMapMailFrame:UnregisterAllEvents()
MiniMapMailFrame:Hide()